<?php
/**
 * Created by PhpStorm.
 * User: tepeds
 * Date: 6/30/17
 * Time: 9:52 AM
 */

namespace MiamiOH\Directory;


interface AttributesInterface
{
    public function getBuildingNames(): array;
    public function setBuildingNames(array $data): void;
    public function getFaxNumber(): string;
    public function setFaxNumber(string $data): void;
    public function getNameSuffix(): string;
    public function setNameSuffix(string $data): void;
    public function getGivenName(): string;
    public function setGivenName(string $data): void;
    public function getHomePhone(): array;
    public function setHomePhone(array $data): void;
    public function getHomePostalAddress(): PostalAddress;
    public function setHomePostalAddress(PostalAddress $data): void;
    public function getLocations(): array;
    public function setLocations(array $data): void;
    public function getLabeledUri(): string;
    public function setLabeledUri(string $data): void;
    public function getMail(): string;
    public function setMail(string $data): void;
    public function getMailAliases(): array;
    public function setMailAliases(array $data): void;
    public function getMailRoutingAddress(): string;
    public function setMailRoutingAddress(string $data): void;
    public function getMobileNumber(): string;
    public function setMobileNumber(string $data): void;
    public function getAdditionalAffiliations(): array;
    public function setAdditionalAffiliations(array $data): void;
    public function getAffiliations(): array;
    public function setAffiliations(array $data): void;
    public function getAffiliationCodes(): array;
    public function setAffiliationCodes(array $data): void;
    public function getBuildingCodes(): array;
    public function setBuildingCodes(array $data): void;
    public function getCampusTelephoneNumber(): string;
    public function setCampusTelephoneNumber(string $data): void;
    public function getClasses(): array;
    public function setClasses(array $data): void;
    public function getClassCodes(): array;
    public function setClassCodes(array $data): void;
    public function getColleges(): array;
    public function setColleges(array $data): void;
    public function getCollegeCodes(): array;
    public function setCollegeCodes(array $data): void;
    public function getDepartments(): array;
    public function setDepartments(array $data): void;
    public function getDepartmentCodes(): array;
    public function setDepartmentCodes(array $data): void;
    public function getDirectoryProxies(): array;
    public function setDirectoryProxies(array $data): void;
    public function getDivisions(): array;
    public function setDivisions(array $data): void;
    public function getDivisionCodes(): array;
    public function setDivisionCodes(array $data): void;
    public function getEmployeeSchools(): array;
    public function setEmployeeSchools(array $data): void;
    public function getEmployeeSchoolCodes(): array;
    public function setEmployeeSchoolCodes(array $data): void;
    public function getEmployeeType(): string;
    public function setEmployeeType(string $data): void;
    public function getEmployeeTypeCode(): string;
    public function setEmployeeTypeCode(string $data): void;
    public function getGreekOrg(): string;
    public function setGreekOrg(string $data): void;
    public function getHidden(): string;
    public function setHidden(string $data): void;
    public function getHigherEducation(): string;
    public function setHigherEducation(string $data): void;
    public function getHighschoolAttended(): string;
    public function setHighschoolAttended(string $data): void;
    public function getHours(): string;
    public function setHours(string $data): void;
    public function getLabeledPhotoURL(): string;
    public function setLabeledPhotoURL(string $data): void;
    public function getLocationCodes(): array;
    public function setLocationCodes(array $data): void;
    public function getMailStopCodes(): array;
    public function setMailStopCodes(array $data): void;
    public function getMajors(): array;
    public function setMajors(array $data): void;
    public function getMajorCodes(): array;
    public function setMajorCodes(array $data): void;
    public function getMesgAddr(): string;
    public function setMesgAddr(string $data): void;
    public function getMiddleInitial(): string;
    public function setMiddleInitial(string $data): void;
    public function getMiddleName(): string;
    public function setMiddleName(string $data): void;
    public function getMinors(): array;
    public function setMinors(array $data): void;
    public function getMinorCodes(): array;
    public function setMinorCodes(array $data): void;
    public function getPagerEmail(): string;
    public function setPagerEmail(string $data): void;
    public function getPhotoURL(): string;
    public function setPhotoURL(string $data): void;
    public function getPrimaryAffiliation(): string;
    public function setPrimaryAffiliation(string $data): void;
    public function getPrimaryAffiliationCode(): string;
    public function setPrimaryAffiliationCode(string $data): void;
    public function getPrimaryLocation(): string;
    public function setPrimaryLocation(string $data): void;
    public function getPrimaryLocationCode(): string;
    public function setPrimaryLocationCode(string $data): void;
    public function getProjects(): string;
    public function setProjects(string $data): void;
    public function getRecordInactive(): string;
    public function setRecordInactive(string $data): void;
    public function getVPNGroup(): string;
    public function setVPNGroup(string $data): void;
    public function getPagerNumber(): string;
    public function setPagerNumber(string $data): void;
    public function getNamePrefix(): string;
    public function setNamePrefix(string $data): void;
    public function getPostalAddress(): PostalAddress;
    public function setPostalAddress(PostalAddress $data): void;
    public function getFamilyName(): string;
    public function setFamilyName(string $data): void;
    public function getTelephoneNumber(): array;
    public function setTelephoneNumber(array $data): void;
    public function getTitles(): array;
    public function setTitles(array $data): void;
    public function getUniqueId(): string;
    public function setUniqueId(string $data): void;
    public function getDisplayName(): string;
    public function setDisplayName(string $data): void;
    public function getEntitlements(): array;
    public function setEntitlements(array $data): void;
}
